import { useQuery } from '@tanstack/react-query'
import { getRol } from '../api/getRol'

export function useRol(codigo: string | undefined) {
  return useQuery({
    queryKey: ['roles', codigo],
    queryFn: () => getRol(codigo!),
    enabled: Boolean(codigo),
  })
}
